<?php
namespace Ep\Form;

use Ep\InputFilter\Factory as InputFilterFactory;
use Zend\Form\Factory as BaseFactory;

/**
 * Class Factory
 *
 * @package Ep\Form
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class Factory extends BaseFactory
{
	/** @var InputFilterFactory */
	protected $inputFilterFactory;

	/**
	 * Get current input filter factory
	 *
	 * If none provided, uses an unconfigured instance.
	 *
	 * @return InputFilterFactory
	 */
	public function getInputFilterFactory()
	{
		if (null === $this->inputFilterFactory) {
			$this->setInputFilterFactory(new InputFilterFactory());
		}

		return $this->inputFilterFactory;
	}
}