<?php
namespace Ep\WordPress\Tools;

use Ep\WordPress\Form\PostTypeSelect;
use Ep\WordPress\Service\AbstractWordPressService;

/**
 * Briše stvari iz WordPressa, postove, proizvode...
 *
 * @package Ep\WordPress\Tools
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class CleaningService extends AbstractWordPressService
{
	public function attach(): void
	{
		add_action('admin_menu', [$this, 'addMenuItem']);
	}

	public function addMenuItem()
	{
		add_submenu_page(
			'tools.php',
			'EP Cleaning Service',
			'EP Cleaner',
			'manage_options',
			'ep-cleaner',
			[$this, 'renderPage']
		);
	}

	public function renderPage()
	{
		$select = new PostTypeSelect('somename');
		$select->init();
		$select->setEmptyOption('-');

		echo $this->getView()->render('admin/cleaner.twig', [
			'page_title' => get_admin_page_title(),
			'select' => $select,
		]);
	}
}