<?php
namespace EpTest\Service;

use Ep\WordPress\Service\WordPressServiceInterface;
use EpTest\IntegrationTestCase;
use Zend\ServiceManager\PluginManagerInterface;

/**
 * Testira ServiceManager.
 *
 * @package EpTest\Service
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ServiceManagerTest extends IntegrationTestCase
{
	public function testHasHydratorManager()
	{
		$services = $this->getServiceManager();

		$this->assertTrue($services->has('HydratorManager'));
		$this->assertInstanceOf(PluginManagerInterface::class, $services->get('HydratorManager'));
	}

	public function testHasWordPress()
	{
		$services = $this->getServiceManager();

		$this->assertTrue($services->has('WordPress'));
		$this->assertInstanceOf(WordPressServiceInterface::class, $services->get('WordPress'));
	}
}